Zum Hauptinhalt springen
POST
/
crm
/
v3
/
extensions
/
calling
/
inbound-call
cURL
curl --request POST \
  --url https://api.hubapi.com/crm/v3/extensions/calling/inbound-call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "createEngagement": true,
  "engagementProperties": {},
  "externalCallId": "<string>",
  "finalCallStatus": "BUSY",
  "fromNumber": {
    "e164Number": "<string>",
    "phoneNumberType": "FIXED_LINE",
    "extension": "<string>"
  },
  "potentialRecipientUserIds": [
    123
  ],
  "toNumber": {
    "e164Number": "<string>",
    "phoneNumberType": "FIXED_LINE",
    "extension": "<string>"
  },
  "callStartedTimestamp": "2023-11-07T05:31:56Z",
  "durationSeconds": 123,
  "userId": 123
}
'
{
  "callerIdMatches": [
    {
      "callerIdType": "CONTACT",
      "objectCoordinates": {
        "objectId": 123,
        "objectTypeId": "<string>",
        "portalId": 123
      },
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
createEngagement
boolean
erforderlich
engagementProperties
object
erforderlich
externalCallId
string
erforderlich
finalCallStatus
enum<string>
erforderlich
Verfügbare Optionen:
BUSY,
CALLING_CRM_USER,
CANCELED,
COMPLETED,
CONNECTING,
FAILED,
HOLD,
IN_PROGRESS,
MISSED,
NO_ANSWER,
QUEUED,
RINGING,
UNKNOWN
fromNumber
object
erforderlich
potentialRecipientUserIds
integer<int32>[]
erforderlich
toNumber
object
erforderlich
callStartedTimestamp
string<date-time>
durationSeconds
integer<int32>
userId
integer<int32>

Antwort

successful operation

callerIdMatches
(CONTACT · object | COMPANY · object)[]
erforderlich
Last modified on May 15, 2026